package com.logicbig.example;

import javax.ws.rs.container.*;
import javax.ws.rs.ext.Provider;
import java.io.IOException;
import java.net.URI;

@Provider
@PreMatching
public class RedirectFilter implements ContainerRequestFilter {

    @Override
    public void filter(ContainerRequestContext reqContext) throws IOException {

        // redirect conditionally
        if (shouldRedirect(reqContext)) {
            reqContext.setRequestUri(URI.create("/temp"));
        }
    }

    private boolean shouldRedirect(ContainerRequestContext reqContext) {
        //todo it should be conditional return
        return true;
    }
}